﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using Telerik.Windows.DragDrop.Behaviors;

namespace ListBoxWPF
{
    public class CustomListBoxDragDropBehavior : ListBoxDragDropBehavior
    {
        private static List<Customer> draggedCustomers;

        public override void DragDropCompleted(DragDropState state)
        {
            // remove the filtered items to the ItemsSource
            foreach (Customer cust in draggedCustomers)
            {
                state.SourceItemsSource.Remove(cust);
            }

            draggedCustomers.Clear();

            //base.DragDropCompleted(state);
        }

        public override void Drop(DragDropState state)
        {
            // filter the dragged items - here I just take one of them
            draggedCustomers = state.DraggedItems.Cast<Customer>().Take(1).ToList();

            foreach (Customer cust in draggedCustomers)
            {
                // add the filtered items to the ItemsSource
                state.DestinationItemsSource.Add(cust);
            }

            // base.Drop(state);
        }
    }
}
